      subroutine GETNUM(ERROR,RESULT)
      real RESULT
      integer ERROR
      logical NOTNUM
      include 'INPAR.INC'
      integer IMBED,LENGTH
      character*1 BLANK
      data BLANK/' '/
      ERROR = 0
      START = IMBED(INPUT,STOPIT)
      if (START.eq.-999) then
         ERROR = 1
         go to 110
      endif
      call SKAN (INPUT,START,STOPIT,TYPE,BLANK,1)
      if (TYPE.eq.100) STOPIT = 81
      LENGTH = STOPIT-START
      call XVALUE(INPUT(START:START),LENGTH,RESULT,NOTNUM)
      if (NOTNUM) ERROR = 2
110   continue
      return
      end
